Panda3D

Loading...
Searching...
No Matches
Functions
interrogate_datafile.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "interrogate_datafile.h"`

Go to the source code of this file.

## Functions
void | idf_input_string (istream &in, const char *&str)
| Reads the given string from the input file, as previously written by output_string().
void | idf_input_string (istream &in, string &str)
| Reads the given string from the input file, as previously written by output_string().
void | idf_output_string (ostream &out, const char *str, char whitespace)
| Writes the indicated string to the output file.
void | idf_output_string (ostream &out, const string &str, char whitespace)
| Writes the indicated string to the output file.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-08-09

Definition in file interrogate_datafile.cxx.

## Function Documentation

## ◆ idf_input_string() [1/2]

void idf_input_string | ( | istream & | in,
|  | const char *& | str )

Reads the given string from the input file, as previously written by output_string().

Definition at line 75 of file interrogate_datafile.cxx.

## ◆ idf_input_string() [2/2]

void idf_input_string | ( | istream & | in,
|  | string & | str )

Reads the given string from the input file, as previously written by output_string().

Definition at line 38 of file interrogate_datafile.cxx.

Referenced by InterrogateComponent::input(), InterrogateElement::input(), InterrogateFunction::input(), InterrogateFunctionWrapper::input(), InterrogateMakeSeq::input(), InterrogateManifest::input(), and InterrogateType::input().

## ◆ idf_output_string() [1/2]

void idf_output_string | ( | ostream & | out,
|  | const char * | str,
|  | char | whitespace )

Writes the indicated string to the output file.

Uses the given whitespace character to separate the string's length and its contents.

Definition at line 59 of file interrogate_datafile.cxx.

## ◆ idf_output_string() [2/2]

void idf_output_string | ( | ostream & | out,
|  | const string & | str,
|  | char | whitespace )

Writes the indicated string to the output file.

Uses the given whitespace character to separate the string's length and its contents.

Definition at line 26 of file interrogate_datafile.cxx.

Referenced by InterrogateComponent::output(), InterrogateElement::output(), InterrogateFunction::output(), InterrogateFunctionWrapper::output(), InterrogateMakeSeq::output(), InterrogateManifest::output(), InterrogateType::output(), and InterrogateDatabase::write().